Subject: RE: script mib issue # 20

From: "Thomas, Steven C (Steve)" <[email-masked]>
Date: Wed, 31 Jan 2001 11:59:42 -0500

-----Original Message-----
From: Éamonn McManus [mailto:[email-masked]]
Sent: Wednesday, January 31, 2001 11:53 AM
To: Juergen Schoenwaelder
Cc: [email-masked]
Subject: Re: script mib issue # 20

Juergen Schoenwaelder wrote:
> 
> >>>>> Éamonn McManus writes:
> 
> Eamonn> A possible alternative would be to add an expiry time to
> Eamonn> smLaunchTable entries.  An smLaunchTable whose expiry time is
> Eamonn> infinite (2^31 - 1) does not expire, as for smRunTable
> Eamonn> entries.  An smLaunchTable whose expiry time is finite will
> Eamonn> disappear as soon as the time is reached and there are no
> Eamonn> scripts running from that entry.
> 
> Sounds like a good idea to me. There is one question: What happens if
> the timer has expired and someone tries to press the launch button? I
> guess we do not want to allow that someone uses a launch button which
> has already expired. To do this cleanly, we probably need to add an
> 'expired(3)' status to the smLaunchOperStatus object...

Éamonn> My thinking was that when the expiry time was reached the
smLaunchTable
Éamonn> entry would simply disappear without trace.  So if you try to push
the
Éamonn> button, you'll get an error because it's no longer there.

The problem occurs when the timer expires, but the launch entry can't be
removed yet, because there is a script currently running.  You would want to
disable further uses of the launch, but you can't remove it yet.